package com.yeejoin.equipmanage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;
import java.util.Map;

/**
 *
 * 四横八纵应急模块接口服务类
 *
 *
 */
public interface IEmergencyService {
    /**
     * @return
     */
    List<Map<String, Object>> getSystemState(String bizOrgCode);

    /**
     * @return
     */
    List<Map<String, Object>> getCAFSWaterTankInfo(String bizOrgCode);

    Map<String, Object> emergencyMaterials(String bizOrgCode);

    Page<Map<String, Object>> emergencyMaterialsDetails(Page<Map<String, Object>> page, String bizOrgCode);

    Page<Map<String, Object>> selectFireMonitor(Page<Map<String, Object>> page, String bizOrgCode,String code);

    Page<Map<String, Object>> selectFoamTank(Page<Map<String, Object>> page, String bizOrgCode);

    Page<Map<String, Object>> selectOilDrainage(Page<Map<String, Object>> page, String bizOrgCode, String code);

    Page<Map<String, Object>> selectPressureFlow(Page<Map<String, Object>> page, String bizOrgCode);
}
